"use strict";
const util = require('util');
const SignalRClient = require('../lib/client.js');
let client = new SignalRClient({
    // websocket will be automatically reconnected if server does not respond to ping after 10s
    pingTimeout:10000
});

//-- event handlers
client.on('ticker', function(data){
    console.log(util.format("Got ticker update for pair '%s'", data.pair));
});

client.subscribeToAllTickers();

// disconnect client after 60s
setTimeout(function(){
    console.log('=== unsubscribe...');
    //client.unsubscribeFromAllTickers();
    client.unsubscribeFromTickers(['USDT-BTC']);
    client.subscribeToTickers(['USDT-ETH']);
}, 15000);


// disconnect client after 60s
setTimeout(function(){
    console.log('=== Disconnecting...');
    client.disconnect();
    process.exit(0);
}, 60000);
